# Notes / Bugfixes
## Frontend
- [] add UI for `trip_type`
- [] support esc to close sidebar
- [] after an hour(?) of inactivity -> show large popup w/ "maybe old data (ignore) (reload page)" (ignore bc maybe use is actively doing something -> don't throw input away!)

## Backend
- [] Don't show events if time > 1h(?) ago
- [] Sync w/ nextcloud
	- remove most fields (names, ...) from users and add uid
	- create user_nextcloud table; to be re-created every day(?)
- [] ics for registered trips

# Nice to have
## Frontend
- [] my trips for cox

## Backend
- [] exactly same time -> deny registration
- [] automatically add regular planned trip
- [] User sync w/ nextcloud
- [] Rocket tests for /rest (see below)
- [] same day+time: aggregate stats (x people, of which y cox and z rower)

# Frontend Process 
´cd frontend´
´npm install´
´npm run (watch/build)´

# Missing backend tests

- [ ] (index) GET /
- [ ] (faq) GET /faq
- [ ] (cal) GET /cal
- [ ] (FileServer: svelte/build) GET /<path..>
- [ ] (join) GET /join/<trip_details_id>
- [ ] (remove) GET /remove/<trip_details_id>
- [x] (create) POST /cox/trip
- [ ] (update) POST /cox/trip/<trip_id>
- [ ] (join) GET /cox/join/<planned_event_id>
- [ ] (remove) GET /cox/remove/<planned_event_id>
- [ ] (remove_trip) GET /cox/remove/trip/<trip_id>
- [ ] (index) GET /auth/
- [ ] (login) POST /auth/
- [ ] (logout) GET /auth/logout
- [ ] (updatepw) POST /auth/set-pw
- [ ] (setpw) GET /auth/set-pw/<userid>
- [ ] (rss) GET /admin/rss?<key>
- [ ] (index) GET /admin/user
- [ ] (update) POST /admin/user
- [ ] (create) POST /admin/planned-event
- [ ] (update) PUT /admin/planned-event
- [ ] (create) POST /admin/user/new
- [ ] (delete) GET /admin/user/<user>/delete
- [ ] (resetpw) GET /admin/user/<user>/reset-pw
- [ ] (delete) GET /admin/planned-event/<id>/delete
- [ ] (FileServer: static/) GET /public/<path..> [10]
- [ ] (login) POST /api/login/


----

# Thoughts on nextcloud sync tables

user
- UID
- pw
- last_access

user_details
- UID
- fn (formatted name)
- is_cox (if CATEGORIES = {Steuerleute, Bootsführer})
- is_admin (if CATEGORIES = Admin)
- is_guest (if person not in nextcloud)
